Error: Unsupported AIR namespace in the application descriptor (-app.xml) file. Only 1.5.3, 2.0 and 2.5 namespaces are supported

Error: Unsupported AIR namespace in the application descriptor (-app.xml) file. Only 1.5.3, 2.0 and 2.5 namespaces are supported

Hello, I may be doing something totally silly but I get this error when trying to run the app from flash builder Error: Unsupported AIR namespace in the application descriptor (-app.xml) file. Only 1.5.3, 2.0 and 2.5 namespaces are supported in this version of licensing SDK. When I actually compile there are no errors but the licensing manager does not function. Anyone point me in the right direction? Thanks Phil
12 posts / novo 0
Último post
Para obter mais informações sobre otimizações de compiladores, consulte Aviso sobre otimizações.

When AIR 2.6 and higher will be Supported??

With FlashBuilder 4.6 we are now at AIR 3.1 and I mirror the other calls here that this be addressed. Stepping down for no good reason other than this not staying current with the AIR platform seems to suggest its left for dead. Stepping down also denies many 4.6 users design view in FlashBuilder unless they step down even further to 3.6 to support your SDK's namespace check.

Getting this up to speed should be a priority one would think.

Hi Phil:

What is the version of AIR runtime that you are using to compile in builder? And also what is the version that you have specified in your app.xml file.

We are working with AIR version 2.0 and licensing works fine.

Thanks
George

Hi George,

Thanks for the reply.

I can't seem to find where or how to set the Air runtime version in Flash Builder. I've searched all over but I'm at a loss.

in app.xml I've specified 2.6. I've tried 2.5 also.

Thanks

Phil

Hi Phil
pls find the info below

http://labs.adobe.com/wiki/index.php/AIR_2:Release_Notes

> How to overlay the Adobe AIR SDK for use with the Flex SDK
>
> 1. Copy the contents an existing Flex SDK folder to a new folder. For
> example, in Flex Builder, copy the
> following folder located at:
> * Windows: c:\Program Files\Adobe\Flex Builder 3\sdks\3.2.0
> * Mac OS: /Applications/Adobe Flex Builder
> 3/sdks/3.2.0
> 2. Download the appropriate AIR SDK file for your operating system and
> save it to the root folder of the Flex
> SDK.
> * Windows: AIR20_win_sdk_XXXXXX.zip
> * Mac OS: AIR20_mac_sdk_XXXXXX.tbz2
> 3. Extract the contents of the AIR SDK archive and overwrite the existing
> SDK files in the copied folder.
> * Windows: Right-click on the ZIP file and select "Extract All"
> or use the decompression tool of your
> choice.
> * Mac OS: In Terminal, cd to the root folder of the Flex SDK and
> run this command:
> * tar jxvf AIR20_mac_sdk_XXXXXX.tbz2
>
> If you have trouble overwriting files due to file
> permissions, try this command
> sudo tar jxvf AIR20_mac_sdk_XXXXXX.tbz2
>
> 4. In Flex or Flash Builder, open the Properties dialog and choose the
> Flex Compiler page
> 5. Click the Configure Flex SDKs... link
> 6. Add the combined Flex and AIR 2 SDK folder created above
> 7. Use this SDK for any projects accessing AIR 2 APIs.

To update this for the production release; go downlod your preferred version of the Flex SDK at http://opensource.adobe.com/wiki/display/flexsdk/Downloads and download the AIR 2 SDK at http://www.adobe.com/cfusion/entitlement/index.cfm?e=airsdk .

Overlay the two using the instructions above (1-3); then configure the new SDK in Flash Builder (also using the instructions above (4-7).

----------

Update: Since my original post of this; Flex 4.1 SDK was released which includes the relevant AIR 2 bits. [You can get it here][1]

[1]: http://www.adobe.com/cfusion/entitlement/index.cfm?e=flex4sdk

If you have trouble overwriting files due to file permissions, try this command:
sudo tar jxvf AIR15_mac_sdk_XXXXXX.tbz2

Thanks
Suresh

Hi Phil
pls find the info below

http://labs.adobe.com/wiki/index.php/AIR_2:Release_Notes

> How to overlay the Adobe AIR SDK for use with the Flex SDK
>
> 1. Copy the contents an existing Flex SDK folder to a new folder. For
> example, in Flex Builder, copy the
> following folder located at:
> * Windows: c:\Program Files\Adobe\Flex Builder 3\sdks\3.2.0
> * Mac OS: /Applications/Adobe Flex Builder
> 3/sdks/3.2.0
> 2. Download the appropriate AIR SDK file for your operating system and
> save it to the root folder of the Flex
> SDK.
> * Windows: AIR20_win_sdk_XXXXXX.zip
> * Mac OS: AIR20_mac_sdk_XXXXXX.tbz2
> 3. Extract the contents of the AIR SDK archive and overwrite the existing
> SDK files in the copied folder.
> * Windows: Right-click on the ZIP file and select "Extract All"
> or use the decompression tool of your
> choice.
> * Mac OS: In Terminal, cd to the root folder of the Flex SDK and
> run this command:
> * tar jxvf AIR20_mac_sdk_XXXXXX.tbz2
>
> If you have trouble overwriting files due to file
> permissions, try this command
> sudo tar jxvf AIR20_mac_sdk_XXXXXX.tbz2
>
> 4. In Flex or Flash Builder, open the Properties dialog and choose the
> Flex Compiler page
> 5. Click the Configure Flex SDKs... link
> 6. Add the combined Flex and AIR 2 SDK folder created above
> 7. Use this SDK for any projects accessing AIR 2 APIs.

To update this for the production release; go downlod your preferred version of the Flex SDK at http://opensource.adobe.com/wiki/display/flexsdk/Downloads and download the AIR 2 SDK at http://www.adobe.com/cfusion/entitlement/index.cfm?e=airsdk .

Overlay the two using the instructions above (1-3); then configure the new SDK in Flash Builder (also using the instructions above (4-7).

----------

Update: Since my original post of this; Flex 4.1 SDK was released which includes the relevant AIR 2 bits. [You can get it here][1]

[1]: http://www.adobe.com/cfusion/entitlement/index.cfm?e=flex4sdk

If you have trouble overwriting files due to file permissions, try this command:
sudo tar jxvf AIR15_mac_sdk_XXXXXX.tbz2

Thanks
Suresh

Thank you very much. I'll give this a shot and report back

After much hair pulling I finally got it.
After trying various sdk's I finally wen't to the flex 4.1 sdk (I was on 4.5)
http://opensource.adobe.com/wiki/display/flexsdk/Downloads

Installed that and I'm golden.

Thanks so much for pointing me in the right direction.

Hey that's awesome :-) finally we are very happy that you were able to get it done. Nice meeting happy appup coding :-)

Cheers
Suresh and George

Nice meeting you guys also. Thanks so much.

It does seem odd that I had to go back several versions of the SDK to make it work though.

Agree with shunshifu.

Please directly support Adobe AIR 2.6 (since it's bundled with Adobe Flash Builder 4.5) and optionally support the recent AIR 2.7 version.

Downgrading to Flex 4.1 / AIR 2.5 is not really a solution. :-(

Thank you.

Deixar um comentário

Faça login para adicionar um comentário. Não é membro? Inscreva-se hoje mesmo!